You are Here:
Linux Lite 5.0 Final is now available for download and installation



[ SOLVED ] Kodi update error

Author (Read 3980 times)

0 Members and 1 Guest are viewing this topic.

Kodi update error
« on: May 27, 2017, 06:54:40 PM »
 

Grant314159

  • New to Forums
  • *
  • 3
    Posts
  • Country: nz
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.4 32bit

  • CPU: AMD Athlon 64 X2

  • MEMORY: 3Gb

  • VIDEO CARD: NVIDA CK804
Hi all,

I use my PC mainly as a Kodi box but Kodi will not update. I get the error below but as a complete novice I can't interpret it an know what to do. Can anybody please help

E: /var/cache/apt/archives/kodi_2%3a17.3+git20170525.0741-final-0xenial_all.deb: trying to overwrite '/usr/share/kodi/userdata/ModeLines_template.xml', which is also in package kodi-data 15.2+dfsg1-3ubuntu1
E: /var/cache/apt/archives/kodi-bin_2%3a17.3+git20170525.0741-final-0xenial_amd64.deb: trying to overwrite '/usr/bin/kodi', which is also in package kodi 15.2+dfsg1-3ubuntu1

Thanks
Grant

Last Edit: May 28, 2017, 05:51:54 AM by Grant314159
 


Re: Kodi update error
« Reply #1 on: May 27, 2017, 07:43:10 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7691
    Posts
  • Country: nz
  • Reputation: 728
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
When was the very first time you installed Kodi, and how did you install it? I ask this because you have by the looks of it, installed Kodi on 2 separate occasions with 2 different methods.
 

Re: Kodi update error
« Reply #2 on: May 27, 2017, 09:24:49 PM »
 

Grant314159

  • New to Forums
  • *
  • 3
    Posts
  • Country: nz
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.4 32bit

  • CPU: AMD Athlon 64 X2

  • MEMORY: 3Gb

  • VIDEO CARD: NVIDA CK804
Thanks for the quick reply.

You're probably right, I installed Kodi when I upgraded to LinuxLite 3.4 earlier this year and then clicked the "upgrade" button in Kodi when it started insisting the an upgrade to v17 was needed. I remember something about Ubuntu not supporting v17 and to follow the alternative instructions, so it is quite probable that I have installed it twice.

Will an un-install / re-install work or do I need to flush some logs somewhere?

Cheers
Grant
 

Re: Kodi update error
« Reply #3 on: May 27, 2017, 09:37:11 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7691
    Posts
  • Country: nz
  • Reputation: 728
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
Open a terminal and do:

Code: [Select]
sudo apt-get --purge remove kodi*
Open your home folder, then press Ctrl+H, delete the .kodi folder. Then Ctrl+H to rehide folders/files.

then install Kodi via Menu, System, Lite Software. If you get any messages in Kodi asking to update Kodi, don't. The updates will come down via Install Updates when they are ready.
 

Re: Kodi update error
« Reply #4 on: May 28, 2017, 05:50:36 AM »
 

Grant314159

  • New to Forums
  • *
  • 3
    Posts
  • Country: nz
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.4 32bit

  • CPU: AMD Athlon 64 X2

  • MEMORY: 3Gb

  • VIDEO CARD: NVIDA CK804
Great - that fixed everything. Thanks for the help and I have learned to only install software via LinuxLite
 

Re: Kodi update error
« Reply #5 on: May 28, 2017, 05:52:11 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7691
    Posts
  • Country: nz
  • Reputation: 728
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
You're very welcome. Please refer to your original Welcome email on how to set the thread as Solved.

Sent from my Mobile phone using Tapatalk

 


Tags: kodi update 
 


Linux Lite 5.0 Final is now available for download and installation